//+------------------------------------------------------------------+
//|                                                  ATR Levels2.mq4 |
//+------------------------------------------------------------------+
#property copyright ""
#property link      ""

#property indicator_chart_window
#property indicator_buffers 0

//
//
//
//
//

extern string UniqueID           = "AtrLevels";
extern int    ATRPeriod          = 10;
extern int    DayToShow          = 0;
extern color  ColorUpYesterday   = IndianRed;
extern color  ColorUpToday       = Magenta;
extern color  ColorDownYesterday = IndianRed;
extern color  ColorDownToday     = Magenta;
extern int    StyleUpToday       = STYLE_SOLID;
extern int    StyleUpYesterday   = STYLE_DOT;
extern int    StyleDownToday     = STYLE_SOLID;
extern int    StyleDownYesterday = STYLE_DOT;
extern int    ShiftRightBars     = 15;

//+------------------------------------------------------------------
//|                                                                  
//+------------------------------------------------------------------
//
//
//
//
//

int init() {  return(0); }
int deinit()
{
   string lookFor       = UniqueID+":";
   int    lookForLength = StringLen(lookFor);   
   for(int i=ObjectsTotal()-1; i>=0; i--)
   {
      string name = ObjectName(i);
         if (StringSubstr(name,0,lookForLength) == lookFor) ObjectDelete(name);
   }         
   return(0);
}

//
//
//
//
//

int start()
{
   if(Period() > PERIOD_H4) return(-1);

   double fullatr       = iATR(NULL,PERIOD_D1,ATRPeriod,DayToShow+1);
   double LowYesterday  = iHigh(NULL,PERIOD_D1,DayToShow+1)- fullatr;
   double HighYesterday = iLow(NULL,PERIOD_D1,DayToShow+1) + fullatr;
   double LowToday      = iHigh(NULL,PERIOD_D1,DayToShow+0)- fullatr;
   double HighToday     = iLow(NULL,PERIOD_D1,DayToShow+0) + fullatr;
   
      createLine("0",LowYesterday ,ColorDownYesterday, StyleDownYesterday);
      createLine("1",LowToday     ,ColorDownToday,     StyleDownToday);
      createLine("2",HighYesterday,ColorUpYesterday,   StyleUpYesterday);
      createLine("3",HighToday    ,ColorUpToday,       StyleUpToday );

   return(0);
}

//
//
//
//
//

void createLine(string name, double price, color theColor, int style=STYLE_SOLID, int width=1)
{
   name = UniqueID+":"+name;
   ObjectCreate(name,OBJ_TREND,0,Time[0]+Period()*ShiftRightBars*60,price,Time[0]+(ShiftRightBars+1)*60,price);
         ObjectSet(name,OBJPROP_TIME1,Time[0]+Period()*ShiftRightBars*60);
         ObjectSet(name,OBJPROP_TIME2,Time[0]+Period()*(ShiftRightBars+1)*60);
         ObjectSet(name,OBJPROP_PRICE1,price);
         ObjectSet(name,OBJPROP_PRICE2,price);
         ObjectSet(name,OBJPROP_COLOR,theColor);
         ObjectSet(name,OBJPROP_STYLE,style);
         ObjectSet(name,OBJPROP_WIDTH,width);
}

